#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>

int main () {
  int fd;
  if ( -1 == (fd = open("log", O_WRONLY|O_CREAT|O_APPEND, S_IRUSR|S_IWUSR)) ) {
    perror("open");
    exit(EXIT_FAILURE);
  }
  if ( -1 == dup2(fd, STDOUT_FILENO) ) {
    perror("dup2");
    exit(EXIT_FAILURE);
  }
  close(fd);
  execlp("ls", "ls", "-i", "-l", "/tmp", NULL);
  perror("execlp");
  exit(EXIT_FAILURE);
}
